# Function onOnce

- onOnce(obj, eventName, listener): IHandle

- Listens for an emitted event from an object and executes a callback only once before removing the listener.

  #### Parameters

  - obj: Evented

    The object to listen to.

  - eventName: string

    The name of the event to listen for.

  - listener: EventHandler

    The callback to execute once the event is emitted.

  #### Returns IHandle